# Uses of Class
org.springframework.beans.factory.support.BeanDefinitionValidationException

Packages that use BeanDefinitionValidationException
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of BeanDefinitionValidationException in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that throw BeanDefinitionValidationException
Modifier and Type
Method
Description
`protected void`
AbstractBeanDefinition.`prepareMethodOverride(MethodOverride mo)`
Validate and prepare the given method override.
`void`
AbstractBeanDefinition.`prepareMethodOverrides()`
Validate and prepare the method overrides defined for this bean.
`void`
AbstractBeanDefinition.`validate()`
Validate this bean definition.
`void`
ChildBeanDefinition.`validate()`